LibPack for Windows "3rd party libraries"

This subforum is specifically to discuss packaging issues on different platforms (windows, mac, linux), and using different packaging systems (conda, etc...)
User avatar
sgrogan
Posts: 6218
Joined: Wed Oct 22, 2014 5:02 pm

Re: LibPack for Windows "3rd party libraries"

Postby sgrogan » Sat Nov 21, 2020 1:15 pm

apeltauer wrote:
Sun Nov 15, 2020 4:59 pm
Can you give me a hint how to solve this?
Replacing pivy was too simple. I replaced coin and pivy from Conda into the libpack and I can build FC and pass all unit tests.
Trails WB loads.
HakanSeven12 wrote:
Fri Nov 20, 2020 3:06 pm
Same issue with another user.
What is the easiest way to test the SoGeo stuff?
"fight the good fight"
User avatar
HakanSeven12
Posts: 1081
Joined: Wed Feb 06, 2019 10:30 pm

Re: LibPack for Windows "3rd party libraries"

Postby HakanSeven12 » Sat Nov 21, 2020 1:35 pm

Run this macro. If this not returning an error its works.

Code: Select all

from pivy import coin

sg = FreeCADGui.ActiveDocument.ActiveView.getSceneGraph()
node = sg.getChild(0)

if not isinstance(node, coin.SoGeoOrigin):
    node = coin.SoGeoOrigin()
    sg.insertChild(node,0)

node.geoSystem.setValues(["UTM", "Z1", "FLAT"])
node.geoCoords.setValue(4512486125.0, 580526122.0, 0.0)
User avatar
sgrogan
Posts: 6218
Joined: Wed Oct 22, 2014 5:02 pm

Re: LibPack for Windows "3rd party libraries"

Postby sgrogan » Sat Nov 21, 2020 1:41 pm

HakanSeven12 wrote:
Sat Nov 21, 2020 1:35 pm
Run this macro. If this not returning an error its works.
Thanks, exactly what I needed!

Code: Select all

Python 3.8.6+ (heads/3.8-dirty:a12f459ec2, Nov  5 2020, 12:01:10) [MSC v.1927 64 bit (AMD64)] on win32
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> Gui.runCommand('Std_DlgMacroExecute',0)
>>> 
"fight the good fight"
User avatar
HakanSeven12
Posts: 1081
Joined: Wed Feb 06, 2019 10:30 pm

Re: LibPack for Windows "3rd party libraries"

Postby HakanSeven12 » Sat Nov 21, 2020 2:01 pm

Thanks for your efforts. :)
User avatar
sgrogan
Posts: 6218
Joined: Wed Oct 22, 2014 5:02 pm

Re: LibPack for Windows "3rd party libraries"

Postby sgrogan » Sat Nov 21, 2020 5:16 pm

HakanSeven12 wrote:
Sat Nov 21, 2020 2:01 pm
Thanks for your efforts. :)
I put a test build here: https://github.com/sgrogan/FreeCAD/rele ... /0.19_test
Feedback encouraged.
"fight the good fight"
User avatar
HakanSeven12
Posts: 1081
Joined: Wed Feb 06, 2019 10:30 pm

Re: LibPack for Windows "3rd party libraries"

Postby HakanSeven12 » Sat Nov 21, 2020 8:11 pm

I tested your build. Everything works great at SoGeo side :) Can you add scipy library too?
User avatar
sgrogan
Posts: 6218
Joined: Wed Oct 22, 2014 5:02 pm

Re: LibPack for Windows "3rd party libraries"

Postby sgrogan » Sun Nov 22, 2020 6:19 pm

HakanSeven12 wrote:
Sat Nov 21, 2020 8:11 pm
I tested your build. Everything works great at SoGeo side :) Can you add scipy library too?
Thanks and done. Same link.
"fight the good fight"
User avatar
HakanSeven12
Posts: 1081
Joined: Wed Feb 06, 2019 10:30 pm

Re: LibPack for Windows "3rd party libraries"

Postby HakanSeven12 » Sun Nov 22, 2020 7:34 pm

Tested. Everything is fine :) thank you.
User avatar
apeltauer
Posts: 359
Joined: Fri Aug 11, 2017 2:19 pm

Re: LibPack for Windows "3rd party libraries"

Postby apeltauer » Mon Nov 23, 2020 6:29 am

sinfee wrote:
Sat Nov 21, 2020 7:05 am
apeltauer wrote:
Sun Nov 15, 2020 5:03 pm
New version uploaded:
https://github.com/apeltauer/FreeCAD/re ... ack_12.4.1
Thanks a lot. but Can you tell me: why use boost 1.67 ,not 1.74 ?
Do you have any need to use boost 1.74? If yes please point out what is missing. Then i can try to use the newer boost version.
sinfee
Posts: 3
Joined: Thu Oct 08, 2020 1:16 pm

Re: LibPack for Windows "3rd party libraries"

Postby sinfee » Tue Dec 01, 2020 7:02 am

apeltauer wrote:
Mon Nov 23, 2020 6:29 am
sinfee wrote:
Sat Nov 21, 2020 7:05 am
apeltauer wrote:
Sun Nov 15, 2020 5:03 pm
New version uploaded:
https://github.com/apeltauer/FreeCAD/re ... ack_12.4.1
Thanks a lot. but Can you tell me: why use boost 1.67 ,not 1.74 ?
Do you have any need to use boost 1.74? If yes please point out what is missing. Then i can try to use the newer boost version.
:lol: I'm a beginner of boost from 1.72 , and now I used 1.74 with vc2015 on my work , so can you give me a suggestion for how to make 3rd party libraries by myself?